pyntor-components(1)

NAME

pyntor-components - manage components for the presentation program Pyntor

SYNOPSIS

pyntor-components [OPTIONS]

DESCRIPTION

Pyntor-components is a helper utility which deals with all the components which are made available to Pyntor. Components can reside in the installation directory, but the user can override them with a user directory and again with components in the current directory. Pyntor-components helps to sort through the available components by listing them. In case the component comes with documentation included, it can be displayed as well.

OPTIONS

-l, --list
    Displays a formatted list of all components. For each component, all occurrences are reported, which might be between one and three directories.

-d, --doc=component
    Displays the documentation for the specified component. If no documentation is included, or the component could not be loaded, an error is displayed instead.

-u, --update
    Displays a graphical dialog which allows the download of new components via the GHNS (Get Hot New Stuff) framework. Components are installed into ~/.pyntor/components and can be used immediately. This is an experimental feature based on the SDLNewStuff library.

-v, --version
    Displays the version number of Pyntor-components.

-h, --help
    Displays a summary of all available command line options.

AUTHORS

Josef Spillner <josef@coolprojects.org>

SEE ALSO
pyntor(1), pyntor-selfrun(1)